﻿$toolsDir = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$installArgs = '/S /D=' + $toolsDir

$packageArgs = @{
  packageName    = $env:ChocolateyPackageName
  url            = 'https://dist.torproject.org/torbrowser/9.5a12/torbrowser-install-9.5a12_en-US.exe'
  url64bit       = 'https://dist.torproject.org/torbrowser/9.5a12/torbrowser-install-win64-9.5a12_en-US.exe'
  checksum       = 'bc60a98b6c2945b371ad931a062fef835fd1e489e6cf9c0719558d004843940a'
  checksum64     = '7769e5eecc9fbc608a027310dbda2799687ab5ed56f4b903f75afa1f3fbc5770'
  checksumType   = 'sha256'
  checksumType64 = 'sha256'
  silentArgs     = $installArgs
}

Install-ChocolateyPackage @packageArgs

$files = Get-ChildItem $toolsDir -include *.exe -recurse
foreach ($file in $files) {
    New-Item "$file.ignore" -type file -force | Out-Null
}
